font-size = 14
font-family = Monospace Regular
theme = Builtin Tango Dark
foreground = #d3d7cf
#palette = 0=#d3d7cf
#window-decoration = false
gtk-wide-tabs = false

# available from v1.2, i.e. nixos 25.11
# https://ghostty.org/docs/config/reference#bell-features
# bell-features = "system,attention,title"
bell-features = "system"

#font-synthetic-style = true
#font-style = false
#font-thicken = false
#bold-is-bright = false
#font-variation = "wght=100"

shell-integration-features = no-cursor
cursor-style = block
cursor-color = #d3d7cf

confirm-close-surface = false
clipboard-paste-protection = false
clipboard-paste-bracketed-safe = true
# 50MB, default is 10MB. The buffer is preallocated
scrollback-limit = 50000000

# navigation in micro
keybind = ctrl+comma=unbind
keybind = ctrl+shift+comma=unbind
#keybind = shift+page_up=unbind
#keybind = shift+page_down=unbind
#keybind = unconsumed:shift+page_up=scroll_page_up
#keybind = unconsumed:shift+page_down=scroll_page_down
keybind = shift+home=unbind
keybind = shift+end=unbind
keybind = ctrl+shift+q=unbind
keybind = ctrl+enter=unbind
keybind = ctrl+shift+enter=unbind

# tab and view management
keybind = ctrl+shift+page_down=move_tab:+1
keybind = ctrl+shift+page_up=move_tab:-1
keybind = ctrl+shift+up=scroll_page_lines:-1
keybind = ctrl+shift+down=scroll_page_lines:1
keybind = ctrl+shift+left=unbind
keybind = ctrl+shift+right=unbind
